<a routerLink="/contact">contact</a><span style="margin-right:20px"></span>
<a routerLink="/dashboard">dashboard</a>
<a routerLink="/weather">weather</a>
<!-- <app-weather></app-weather> -->
<router-outlet></router-outlet>
<div *ngFor = "let contact of contacts">
  <a routerLink="/detail/{{ contact.id }}/{{ contact.name }}/{{ contact.phoneNumber }}">{{ contact.name }}</a>
</div>

<a routerLink="/login">Logout</a>
